Skip to Content

Custom adapter module requirement

Hello,

We are having the custom adapter module in one of the test environment of SAP PI and missing the same module in quality environment.

We need to transport the adapter module to quality.

I have used one of the document for creating and deploying custom module in SAP PI using NWDS.

According to document I have followed all the steps create a new project in NWDS and deployed in the required quality environment.

Deployment is successful and without warning/error. also I can see deployed module in NWA : Application Modules tab.

Still module is not working same as test environment. I can see module start and end of module log in message logs.

Also module is used in mail adapter channel so I am receiving the emails but attachment extension is .xml and module is used to make attachment .csv.

SAP PI version 7.1 and NWDS version 7.3 is this the problem after module deployed successfully?

is there any way to debug the adapter module.

I saw the same problem to one of link in SDN but the case was not resolved and incomplete so created new discussion, Module deployment was successful but module was not working.

https://scn.sap.com/thread/3438004

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Jun 16, 2016 at 08:15 AM

    Why not just take the deployed module from your Test Environment and then deploy to QA?

    If you want to locate the EAR file of your Module, the below link has the steps / path..

    https://scn.sap.com/thread/3531290

    Regards

    Bhavesh

    Add comment
    10|10000 characters needed characters exceeded

    • Hello Bhavesh,

      Thanks for your reply.

      I have asked basis team to extract the file from that location and they have sent me jar file which I have converted to .ear by replacing the name.

      Also I have imported that file in NDWS by using importing .ear file option and then try to run on server to deploy it but getting below error.

      Any idea how to proceed now?

      I am using NWDS 7.3 SAP12 PAT0001 and SAP PI version is 7.1. is there any issue of this version mismatch ?

      Thanks.

      Br,

      Anant

      Capture.JPG (83.0 kB)